Overview
GET/persona/tool-templates/{id}persona

Get tool_templates by id

Fetch a record from tool-templates by id.

Auth: bearerAuth — calls run as the authenticated user.

Parameters
  • idpathstring
Responses
200

tool_templates

  • idstring
  • toolKeystring
  • sourceKindstring
  • displayNamestring
  • descriptionstring
  • readOnlyboolean
  • createdAtstring
  • updatedAtstring
Example
{
  "id": "string",
  "toolKey": "string",
  "sourceKind": "string",
  "displayName": "string",
  "description": "string",
  "readOnly": true,
  "createdAt": "string",
  "updatedAt": "string"
}
401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
404

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/persona/tool-templates/{id}" \
  -H "Authorization: Bearer YOUR_TOKEN"
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/persona/tool-templates/{id}", {
  method: "GET",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN"
  },
});
const data = await res.json();